Bug 416658 - Popup of folder placed on desktop shows unreadable folders/files names
Summary: Popup of folder placed on desktop shows unreadable folders/files names
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Folder (show other bugs)
Version: 5.17.90
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: 1.0
Assignee: Nate Graham
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2020-01-23 18:40 UTC by Patrick Silva
Modified: 2020-01-30 15:44 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.18.0


Attachments
screenshot (128.95 KB, image/png)
2020-01-23 18:40 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2020-01-23 18:40:08 UTC
Created attachment 125343 [details]
screenshot

STEPS TO REPRODUCE
1. create a folder on desktop
2. put some files/folders into it
3. hover over the folder created on desktop and click on the up arrow in its upper left corner

OBSERVED RESULT
a popup showing unreadable folders/files names appears.
See the attached screenshot please.

EXPECTED RESULT
folders/files names are always readable

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.17.90
KDE Frameworks Version: 5.66.0
Qt Version: 5.14.0
Comment 1 Nate Graham 2020-01-23 20:31:57 UTC
Here's a patch to fix it: https://phabricator.kde.org/D26884
Comment 2 Nate Graham 2020-01-30 15:44:34 UTC
Git commit 78eccc8bda2c898d33c0efa731d7ce96a7b84d72 by Nate Graham.
Committed on 30/01/2020 at 15:43.
Pushed by ngraham into branch 'Plasma/5.18'.

[Folder View] Fix text label color in pop-up

Summary:
Currently there's a top-level ColorScope that is almost entirely unused except for
introducing a bug whereby the label text in the pop-up is the wrong color. Removing the
ColorScope fixes the bug and does not change the appearance of anything else anywhere else.
FIXED-IN: 5.18.0

Test Plan:
Hover over a folder and click on button to open a folder pop-up
See that the text color is correct now: {F7925905, size=full}

Use Folder view as a containment, as a widget, and in a panel
See that text color is fine everywhere

Use a bunch of different color schemes and repeat the above tests and see that everything
still looks good

Reviewers: #vdg, #plasma, hein, davidedmundson, mart

Reviewed By: #vdg, #plasma, mart

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D26884

M  +20   -30   containments/desktop/package/contents/ui/FolderViewLayer.qml

https://commits.kde.org/plasma-desktop/78eccc8bda2c898d33c0efa731d7ce96a7b84d72